package stories
{
import org.givwenzen.givWenZen;
import org.givwenzen.integration.flexunit3.BeforeTest;
import org.givwenzen.integration.flexunit3.GivWenZenSuite;

import steps.LoginDomainStep;

public class Stories extends GivWenZenSuite
{
    [Embed(source="/stories/login_in_the_system.txt", mimeType="application/octet-stream")]
    public static var login_in_the_system:Class;

    [Embed(source="/stories/prevent_login_with_credentials_missing.txt", mimeType="application/octet-stream")]
    public static var prevent_login_when_credentials_missing:Class;

    public function Stories()
    {
        super();
        givWenZen().addSteps(LoginDomainStep);
        super.addTestScriptFromResource(prevent_login_when_credentials_missing);
        super.addTestScriptFromResource(login_in_the_system);
    }

    override protected function provideBeforeTest():BeforeTest
    {
        return new ApplicationStartup();
    }
}
}